Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Class ImpactAnalysisOptions

    java.lang.Object
      com.bea.ld.metadata.ImpactAnalysisOptions

All Implemented Interfaces:
  java.io.Serializable

    public class ImpactAnalysisOptions

extends java.lang.Object
implements java.io.Serializable

Specifies a set of options that may be used during metadata impact analysis.

See Also:
  `Metadata.getDependentRefs(NodeRef, ImpactAnalysisOptions)`, `Metadata.getDependencyRefs(NodeRef, ImpactAnalysisOptions)`, Serialized Form

Field Summary
`static ImpactAnalysisOptions` | `DEFAULT_OPTIONS` An instance providing the default options.
`static java.lang.String` | `INCLUDE_RELATIONSHIPS` Flag to indicate that relationship functions will be considered during the impact analysis of `FunctionsCollections`.
`static java.lang.String` | `INCLUDE_UPT_DS_REFERENCES` Flag to indicate that DS references through a DS' UPT will be considered during the impact analysis of `FunctionsCollections`.
`static java.lang.String` | `TRANSITIVE_CLOSURE` Flag to indicate that the impact analysis will be applied on the transitive closure of metadata artifacts (i.e. node dependents or dependencies).
`static java.lang.String` | `USE_RELATIONSHIP_TARGETS` Flag to indicate that the use of a relationship function by a data service DS is registered as a dependency of DS on the data service that the is the relationship target rather than the dataservice in which the relationship function is defined.

Constructor Summary
`ImpactAnalysisOptions()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.Object` | `get(java.lang.Object option)`
`boolean` | `isSet(java.lang.Object option)`
`java.lang.Object` | `remove(java.lang.Object option)`
`ImpactAnalysisOptions` | `setIncludeRelationships()`
`ImpactAnalysisOptions` | `setIncludeUptDsReferences()`
`ImpactAnalysisOptions` | `setTransitiveClosure()`
`ImpactAnalysisOptions` | `setUseRelationshipTargets()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSITIVE_CLOSURE

    public static final java.lang.String TRANSITIVE_CLOSURE

  Flag to indicate that the impact analysis will be applied on the transitive closure of metadata artifacts (i.e. node dependents or dependencies).

  The default analysis is one level deep.

  See Also:
    Constant Field Values

### INCLUDE_RELATIONSHIPS

    public static final java.lang.String INCLUDE_RELATIONSHIPS

  Flag to indicate that relationship functions will be considered during the impact analysis of `FunctionsCollections`.

  The default FunctionCollection analysis ommits relationship functions.

  See Also:
    Constant Field Values

### USE_RELATIONSHIP_TARGETS

    public static final java.lang.String USE_RELATIONSHIP_TARGETS

  Flag to indicate that the use of a relationship function by a data service DS is registered as a dependency of DS on the data service that the is the relationship target rather than the dataservice in which the relationship function is defined. Used during the impact analysis of `FunctionsCollections`.

  Note that this flag does not apply to any entities other than FunctionCollections. In particular, it does not apply to web services.

  The default FunctionCollection analysis relies on the dataservice defining the relationship function as opposed to the dataservice serving as the relationship target.

  See Also:
    Constant Field Values

### INCLUDE_UPT_DS_REFERENCES

    public static final java.lang.String INCLUDE_UPT_DS_REFERENCES

  Flag to indicate that DS references through a DS' UPT will be considered during the impact analysis of `FunctionsCollections`.

  The default FunctionCollection analysis ommits DS references through DS UPT.

  See Also:
    Constant Field Values

### DEFAULT_OPTIONS

    public static final ImpactAnalysisOptions DEFAULT_OPTIONS

  An instance providing the default options.

Constructor Detail

### ImpactAnalysisOptions

    public ImpactAnalysisOptions()

Method Detail

### setTransitiveClosure

    public ImpactAnalysisOptions setTransitiveClosure()

### setIncludeRelationships

    public ImpactAnalysisOptions setIncludeRelationships()

### setUseRelationshipTargets

    public ImpactAnalysisOptions setUseRelationshipTargets()

### setIncludeUptDsReferences

    public ImpactAnalysisOptions setIncludeUptDsReferences()

### remove

    public java.lang.Object remove(java.lang.Object option)

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isSet

    public boolean isSet(java.lang.Object option)

### get

    public java.lang.Object get(java.lang.Object option)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.